# -*- coding: utf-8 -*-

"""
Конвертируем котировки cbr.ru в нормальный формат (эти строчки добавляются в rename-quotes.xml.
"""

__author__ = "Zasimov Alexey"
__email__ = "zasimov-a@yandex-team.ru"


import sys
sys.path.append(".")
from stocks3.core.config import parse_xml


if __name__ == "__main__":
    tree = parse_xml("/opt/www/stocks2/config/cbr.ru/cbr.ru.prepare.xml")
    root = tree.getroot()

    for item in root.findall("id-map/item"):
        from_ = item.attrib["from"]
        to = item.attrib["to"]
        print('<rename quote="%s" to="%s/RUB" numerator="%s" denominator="RUB"/>' % (to, from_, from_))


